#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libtasn1-4.16.0

- Next

  libunique-1.1.6

- Up
- Home

# libuninameslist-20200413

## Introduction to libuninameslist

Libuninameslist provides a Library of Unicode names and annotation data

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/fontforge/libuninameslist/releases/download/20200413/libuninameslist-dist-20200413.tar.gz

- Download MD5 sum: f4235a4c3532a2f31989ca68cf6d3df4

- Download size: 1.2 MB

- Estimated disk space required: 17 MB

- Estimated build time: less than 0.1 SBU

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libuninameslist

## Installation of libuninameslist

Install libuninameslist by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-frenchlib`: This option adds a library of french translations of the names and attributes, libuninameslist-fr.so.

## Contents

Installed Programs: None
Installed Library: libuninameslist.so
Installed Directories: None

### Short Descriptions

`libuninameslist.so` | provides a library of Unicode names and annotation data

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  libtasn1-4.16.0

- Next

  libunique-1.1.6

- Up
- Home